Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.ide.idea.model
[Groovy] Class IdeaModuleIml

    java.lang.Object
      org.gradle.plugins.ide.idea.model.IdeaModuleIml

    class IdeaModuleIml
    extends java.lang.Object

Models the generation/parsing/merging capabilities of idea module

For example see docs for IdeaModule

Author: Szczepan Faber, created at: 4/5/11

Property Summary
`org.gradle.listener.ActionBroadcast` | `beforeMerged`
`java.io.File` | `generateTo` Folder where the *.iml file will be generated to For example see docs for IdeaModule
`org.gradle.listener.ActionBroadcast` | `whenMerged`
`org.gradle.api.internal.XmlTransformer` | `xmlTransformer`

Method Summary
`void` | `beforeMerged(groovy.lang.Closure closure)` Adds a closure to be called after *.iml content is loaded from existing file but before gradle build information is merged This is advanced api that gives access to internal implementation of idea plugin.
`void` | `whenMerged(groovy.lang.Closure closure)` Adds a closure to be called after *.iml content is loaded from existing file and after gradle build information is merged This is advanced api that gives access to internal implementation of idea plugin.
`void` | `withXml(groovy.lang.Closure closure)` Adds a closure to be called when the *.iml file has been created.

Methods inherited from class java.lang.Object
java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#notify(), java.lang.Object#notifyAll(), java.lang.Object#toString()

Property Detail

### beforeMerged

    org.gradle.listener.ActionBroadcast beforeMerged

### generateTo

    java.io.File generateTo

  Folder where the *.iml file will be generated to

  For example see docs for IdeaModule

### whenMerged

    org.gradle.listener.ActionBroadcast whenMerged

### xmlTransformer

    org.gradle.api.internal.XmlTransformer xmlTransformer

Method Detail

### beforeMerged

    void beforeMerged(groovy.lang.Closure closure)

  Adds a closure to be called after *.iml content is loaded from existing file but before gradle build information is merged

  This is advanced api that gives access to internal implementation of idea plugin. It might be useful if you want to alter the way gradle build information is merged into existing *.iml content

  The Module object is passed as a parameter to the closure

  For example see docs for IdeaModule

  Parameters:
    `closure` - The closure to execute.

### whenMerged

    void whenMerged(groovy.lang.Closure closure)

  Adds a closure to be called after *.iml content is loaded from existing file and after gradle build information is merged

  This is advanced api that gives access to internal implementation of idea plugin. Use it only to tackle some tricky edge cases.

  The Module object is passed as a parameter to the closure

  For example see docs for IdeaModule

  Parameters:
    `closure` - The closure to execute.

### withXml

    void withXml(groovy.lang.Closure closure)

  Adds a closure to be called when the *.iml file has been created. The XML is passed to the closure as a parameter in form of a XmlProvider. The closure can modify the XML before it is written to the output file.

  For example see docs for IdeaModule

  Parameters:
    `closure` - The closure to execute when the XML has been created.

Groovy Documentation